DO NOT UPDATE

I have heard from multiple sources that the DW20 modpack for 1.4.7 is very broken, at least for SMP.

As we are still on 1.4.6, and I plan to be so, until they get the shit fixed, do not update your client.

Comments

Sign In or Register to comment.